Download



WARNING!

 

To run the game you need the Java Runtime Environment (JRE).

Click here to download it


 

 

 

(v14d DEMO)

 

(Linux64 needs exactly Java 1.6)

 

 

(v13a DEMO)

(Linux64 needs exactly Java 1.6)

 

Buried towns bundle